Bug 648823 - [RHEL5.3] Even if a process have received data but schedule() in select() cannot return [rhel-5.3.z]
[RHEL5.3] Even if a process have received data but schedule() in select() can...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: ZStream
Depends On: 509866
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 04:47 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:21 EDT (History)
15 users (show)

See Also:
Fixed In Version: kernel-2.6.18-128.27.1.el5
Doc Type: Bug Fix
Doc Text:
When data was transmitted from a server process to a client process while the client process was waiting for data provided by the select() function, the client process might not have returned from the select() function. With these update, the client process returns from the select() function.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-20 03:34:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0996 normal SHIPPED_LIVE kernel bug fix update 2010-12-20 03:34:04 EST

  None (edit)
Description RHEL Product and Program Management 2010-11-02 04:47:51 EDT
This bug has been copied from bug #509866 and has been proposed
to be backported to 5.3 z-stream (EUS).
Comment 2 Jiri Pirko 2010-11-10 01:45:21 EST
in kernel-2.6.18-128.27.1.el5

linux-2.6-net-fix-race-in-data-receive-select.patch
Comment 3 Petr Beňas 2010-11-10 08:06:22 EST
Reproduced in 2.6.18-128.26.1.el5.
Comment 8 Jaromir Hradilek 2010-12-14 09:26:31 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When data was transmitted from a server process to a client process while the client process was waiting for data provided by the select() function, the client process might not have returned from the select() function. With these update, the client process returns from the select() function.
Comment 10 errata-xmlrpc 2010-12-20 03:34:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0996.html

Note You need to log in before you can comment on or make changes to this bug.